package com.chenyang.druid.sql.dialect.dm.ast.stmt;

import com.chenyang.druid.sql.ast.SQLName;
import com.chenyang.druid.sql.ast.statement.SQLAlterDatabaseItem;
import com.chenyang.druid.sql.dialect.dm.ast.DmSQLObjectImpl;
import com.chenyang.druid.sql.dialect.dm.visitor.DmASTVisitor;
import java.util.ArrayList;
import java.util.List;

public class DmAlterDatabaseRenameLogfile extends DmSQLObjectImpl implements SQLAlterDatabaseItem {
   protected List<SQLName> filepathItems = new ArrayList();
   protected List<SQLName> newFilepathItems = new ArrayList();

   public void accept0(DmASTVisitor visitor) {
      if (visitor.visit(this)) {
      }

      visitor.endVisit(this);
   }

   public List<SQLName> getFilepathItems() {
      return this.filepathItems;
   }

   public void setFilepathItems(List<SQLName> filepathItems) {
      this.filepathItems = filepathItems;
   }

   public List<SQLName> getNewFilepathItems() {
      return this.newFilepathItems;
   }

   public void setNewFilepathItems(List<SQLName> newFilepathItems) {
      this.newFilepathItems = newFilepathItems;
   }
}
